.sidebanner {
    position: relative;
}

.sidebanner img {
    width: 100%;
    min-height: 160px;
}

.sidebanner .txt {
    position: absolute;
    inset: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.sidebanner .txt::after {
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.2);
}

.sidebanner .wp {
    position: relative;
    z-index: 2;
}

.sidebanner p {
    color: #fff;
    font-size: 17px;
    margin: 15px 0 0 0;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    letter-spacing: 1px;
}

.sidebanner h1, .sidebanner h2 {
    color: rgb(255, 255, 255);
    font-size: 36px;
    /* font-weight: 700; */
    /* font-family: var(--font-family-1); */
    /* text-shadow: rgb(102, 102, 102) 2px 2px 4px; */
}

.sidebanner p {
    color: rgb(255, 255, 255);
    font-size: 17px;
    text-shadow: rgb(102, 102, 102) 2px 2px 4px;
    margin: 15px 0 0 0;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    letter-spacing: 1px;
}

.sidebanner p i {
    font-size: 15px;
    color: rgb(255, 255, 255);
}

.sidebanner p a {
    color: rgb(255, 255, 255);
}

@media screen and (max-width: 768px) {
    .sidebanner .txt {
        text-align: center;
    }

    .sidebanner .txt h1, .sidebanner .txt h2 {
        font-size: 30px;
    }
}

@media screen and (max-width: 480px) {
    .sidebanner .txt h1, .sidebanner .txt h2 {
        font-size: 24px;
    }
}
